org.apache.ode.store.jpa

## Class DeploymentUnitDaoImpl

- java.lang.Object
- - org.apache.ode.store.jpa.JpaObj
  - - org.apache.ode.store.jpa.DeploymentUnitDaoImpl

- All Implemented Interfaces:
    DeploymentUnitDAO

      @Entity
      public class DeploymentUnitDaoImpl
      extends JpaObj
      implements DeploymentUnitDAO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentUnitDaoImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessConfDAO` | `createProcess(javax.xml.namespace.QName pid, javax.xml.namespace.QName type, long version)`
    `void` | `delete()` Delete this deployment unit (deletes all the children).
    `java.util.Date` | `getDeployDate()` The date the process was deployed.
    `java.lang.String` | `getDeployer()` The user that deployed the process.
    `java.lang.String` | `getDeploymentUnitDir()` Get the deployment unit directory path.
    `java.lang.String` | `getName()` Get the name of the deployment unit.
    `ProcessConfDAO` | `getProcess(javax.xml.namespace.QName pid)`
    `java.util.Collection<? extends ProcessConfDAO>` | `getProcesses()` Get the collection of processes that are deployed as part of this deployment unit.
    `void` | `setDeployDate(java.util.Date deployDate)`
    `void` | `setDeployer(java.lang.String deployer)`
    `void` | `setDeploymentUnitDir(java.lang.String dir)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProcesses(java.util.Collection<ProcessConfDaoImpl> processes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentUnitDaoImpl

          public DeploymentUnitDaoImpl()

  - ### Method Detail

    - #### getProcesses

          public java.util.Collection<? extends ProcessConfDAO> getProcesses()

      Description copied from interface: `DeploymentUnitDAO`
      Get the collection of processes that are deployed as part of this deployment unit.
      Specified by:
        `getProcesses` in interface `DeploymentUnitDAO`
      Returns:

    - #### setProcesses

          public void setProcesses(java.util.Collection<ProcessConfDaoImpl> processes)

    - #### getDeployer

          public java.lang.String getDeployer()

      The user that deployed the process.
      Specified by:
        `getDeployer` in interface `DeploymentUnitDAO`
      Returns:

    - #### setDeployer

          public void setDeployer(java.lang.String deployer)

    - #### getDeployDate

          public java.util.Date getDeployDate()

      The date the process was deployed.
      Specified by:
        `getDeployDate` in interface `DeploymentUnitDAO`
      Returns:

    - #### setDeployDate

          public void setDeployDate(java.util.Date deployDate)

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `DeploymentUnitDAO`
      Get the name of the deployment unit.
      Specified by:
        `getName` in interface `DeploymentUnitDAO`
      Returns:
        du name

    - #### setName

          public void setName(java.lang.String name)

    - #### getDeploymentUnitDir

          public java.lang.String getDeploymentUnitDir()

      Description copied from interface: `DeploymentUnitDAO`
      Get the deployment unit directory path.
      Specified by:
        `getDeploymentUnitDir` in interface `DeploymentUnitDAO`
      Returns:
        deployment unit directory path

    - #### setDeploymentUnitDir

          public void setDeploymentUnitDir(java.lang.String dir)

      Specified by:
        `setDeploymentUnitDir` in interface `DeploymentUnitDAO`

    - #### delete

          public void delete()

      Description copied from interface: `DeploymentUnitDAO`
      Delete this deployment unit (deletes all the children).
      Specified by:
        `delete` in interface `DeploymentUnitDAO`
      Overrides:
        `delete` in class `JpaObj`

    - #### createProcess

          public ProcessConfDAO createProcess(javax.xml.namespace.QName pid,
                                              javax.xml.namespace.QName type,
                                              long version)

      Specified by:
        `createProcess` in interface `DeploymentUnitDAO`

    - #### getProcess

          public ProcessConfDAO getProcess(javax.xml.namespace.QName pid)

      Specified by:
        `getProcess` in interface `DeploymentUnitDAO`